Skip to main content
GET
/
api
/
v3
/
store
/
taxonomies
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const taxonomies = await client.store.taxonomies.list({
  page: 1,
  limit: 25,
})
{
  "data": [
    {
      "id": "txnmy_UkLWZg9DAJ",
      "name": "Categories",
      "position": 1,
      "created_at": "2026-03-05T20:51:39.794Z",
      "updated_at": "2026-03-05T20:51:39.815Z",
      "root_id": "txn_UkLWZg9DAJ"
    },
    {
      "id": "txnmy_gbHJdmfrXB",
      "name": "Brands",
      "position": 2,
      "created_at": "2026-03-05T20:51:39.816Z",
      "updated_at": "2026-03-05T20:51:39.823Z",
      "root_id": "txn_gbHJdmfrXB"
    },
    {
      "id": "txnmy_EfhxLZ9ck8",
      "name": "Collections",
      "position": 3,
      "created_at": "2026-03-05T20:51:39.824Z",
      "updated_at": "2026-03-05T20:51:39.906Z",
      "root_id": "txn_EfhxLZ9ck8"
    },
    {
      "id": "txnmy_VqXmZF31wY",
      "name": "taxonomy_11",
      "position": 4,
      "created_at": "2026-03-05T20:52:45.622Z",
      "updated_at": "2026-03-05T20:52:45.630Z",
      "root_id": "txn_OIJLhNcSbf"
    },
    {
      "id": "txnmy_uw2YK1rnl0",
      "name": "taxonomy_12",
      "position": 5,
      "created_at": "2026-03-05T20:52:45.631Z",
      "updated_at": "2026-03-05T20:52:45.639Z",
      "root_id": "txn_AXs1igzRC6"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 5,
    "pages": 1,
    "from": 1,
    "to": 5,
    "in": 5,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Headers

x-spree-api-key
string
required

Query Parameters

page
integer
limit
integer
expand
string

Expand root taxon

fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

taxonomies found

data
object[]
meta
object